## octavia 9.1.0

=== debian/changelog ===
octavia (9.1.0-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Removed quotes in octavia-agent-sysctl.conf that are causing the namespace
    to not be created in the amphora.
  * octavia-agent-netns-start: wait until /var/lib/octavia/plugged_interfaces
    appears.
  * New upstream release:
    - Rebased use-octavia-agent-lvs-masquerade-not-lvs-masquerade.sh.patch.
  * Add Fix-template-issue-with-user_data_config_drive.patch.
  * Add Fix_loadbalancer_stuck_in_cascade_delete.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Mon, 10 Mar 2025 14:20:12 +0000

octavia (9.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Jan 2022 17:24:13 +0100

octavia (9.0.0-3) unstable; urgency=medium

  * octavia-doc: add libjs-bootstrap depends (Closes: #988857).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Dec 2021 18:39:10 +0100

octavia (9.0.0-2) unstable; urgency=medium

  * Added pt.po Portuguese debconf messages translation thanks to Américo
    Monteiro (Closes: #982570).
  * Added es.po Spanish debconf messages translation thanks to Camaleón
    (Closes: #988376).

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Dec 2021 12:10:55 +0100

octavia (9.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:41:47 +0200

octavia (9.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fix 00_default_policy.yaml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 23:17:05 +0200

octavia (9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refreshed: Fix-osutils.py-to-detect-Debian.patch
  * Rebased: use-octavia-agent-lvs-masquerade-not-lvs-masquerade.sh.patch

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Sep 2021 15:24:41 +0200

=== debian/control ===
Source: octavia
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 alembic,
 python3-bandit,
 python3-barbicanclient,
 python3-bashate,
 python3-castellan,
 python3-cinderclient,
 python3-cotyledon,
 python3-coverage,
 python3-cryptography,
 python3-dateutil,
 python3-distro,
 python3-docutils,
 python3-flask,
 python3-futurist,
 python3-glanceclient,
 python3-graphviz,
 python3-gunicorn,
 python3-hacking,
 python3-jinja2,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-netaddr,
 python3-networkx,
 python3-neutronclient,
 python3-novaclient,
 python3-octavia-lib (>= 2.3.0),
 python3-openssl,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslotest,
 python3-pecan,
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-pydot,
 python3-pydotplus,
 python3-pyparsing,
 python3-pyroute2,
 python3-reno,
 python3-requests,
 python3-requests-mock,
 python3-rfc3986,
 python3-sadisplay,
 python3-setproctitle,
 python3-simplejson,
 python3-sphinx-feature-classification,
 python3-sphinxcontrib.actdiag,
 python3-sphinxcontrib.apidoc,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.nwdiag,
 python3-sphinxcontrib.seqdiag,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stevedore,
 python3-subunit,
 python3-taskflow,
 python3-tempest,
 python3-tenacity,
 python3-testrepository,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-wsme,
 python3-yaml,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/octavia
Vcs-Git: https://salsa.debian.org/openstack-team/services/octavia.git
Homepage: https://github.com/openstack/octavia

Package: octavia-driver-agent
Architecture: all
Depends:
 octavia-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Load Balancer as a Service - Driver Agent
 Openstack Load Balancer as a Service, codenamed Octavia was borne out of the
 Neutron LBaaS project. Its conception influenced the transformation of the
 Neutron LBaaS project, as Neutron LBaaS moved from version 1 to version 2.
 Starting with the Liberty release of OpenStack, Octavia has become the
 reference implementation for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by managing a
 fleet of virtual machines, containers, or bare metal servers -collectively
 known as amphorae- which it spins up on demand. This on-demand, horizontal
 scaling feature differentiates Octavia from other load balancing solutions,
 thereby making Octavia truly suited "for the cloud".
 .
 This package contains the Octavia Driver Agent that needs to be installed when
 using the ovn-octavia-provider.

Package: octavia-agent
Architecture: all
Depends:
 acl,
 acpid,
 adduser,
 anacron,
 apparmor,
 at,
 cron,
 cryptsetup,
 curl,
 dbconfig-common,
 dbus,
 debconf,
 dirmngr,
 dkms,
 dmeventd,
 ethtool,
 gawk,
 gpg,
 gpg-agent,
 haproxy,
 haveged,
 ifenslave,
 ifupdown,
 iptables,
 iputils-ping,
 iputils-tracepath,
 ipvsadm,
 irqbalance,
 keepalived,
 net-tools,
 netbase,
 netcat-openbsd,
 octavia-common (= ${binary:Version}),
 pollinate,
 psmisc,
 python3-openstackclient,
 q-text-as-data,
 rsyslog,
 socat,
 uuid-runtime,
 vlan,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Load Balancer as a Service - Agent
 Openstack Load Balancer as a Service, codenamed Octavia was borne out of the
 Neutron LBaaS project. Its conception influenced the transformation of the
 Neutron LBaaS project, as Neutron LBaaS moved from version 1 to version 2.
 Starting with the Liberty release of OpenStack, Octavia has become the
 reference implementation for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by managing a
 fleet of virtual machines, containers, or bare metal servers -collectively
 known as amphorae- which it spins up on demand. This on-demand, horizontal
 scaling feature differentiates Octavia from other load balancing solutions,
 thereby making Octavia truly suited "for the cloud".
 .
 This package contains the Octavia Agent that needs to be installed in the
 Amphorae base image.

Package: octavia-api
Architecture: all
Depends:
 adduser,
 octavia-common (= ${binary:Version}),
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Load Balancer as a Service - API frontend
 Openstack Load Balancer as a Service, codenamed Octavia was borne out of the
 Neutron LBaaS project. Its conception influenced the transformation of the
 Neutron LBaaS project, as Neutron LBaaS moved from version 1 to version 2.
 Starting with the Liberty release of OpenStack, Octavia has become the
 reference implementation for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by managing a
 fleet of virtual machines, containers, or bare metal servers -collectively
 known as amphorae- which it spins up on demand. This on-demand, horizontal
 scaling feature differentiates Octavia from other load balancing solutions,
 thereby making Octavia truly suited "for the cloud".
 .
 This package provides the API frontend.

Package: octavia-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-octavia (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Load Balancer as a Service - Common files
 Openstack Load Balancer as a Service, codenamed Octavia was borne out of the
 Neutron LBaaS project. Its conception influenced the transformation of the
 Neutron LBaaS project, as Neutron LBaaS moved from version 1 to version 2.
 Starting with the Liberty release of OpenStack, Octavia has become the
 reference implementation for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by managing a
 fleet of virtual machines, containers, or bare metal servers -collectively
 known as amphorae- which it spins up on demand. This on-demand, horizontal
 scaling feature differentiates Octavia from other load balancing solutions,
 thereby making Octavia truly suited "for the cloud".
 .
 This package contains elements that are needed by all parts of Octavia.

Package: octavia-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Load Balancer Service - documentation
 Openstack Load Balancer as a Service, codenamed Octavia was borne out of the
 Neutron LBaaS project. Its conception influenced the transformation of the
 Neutron LBaaS project, as Neutron LBaaS moved from version 1 to version 2.
 Starting with the Liberty release of OpenStack, Octavia has become the
 reference implementation for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by managing a
 fleet of virtual machines, containers, or bare metal servers -collectively
 known as amphorae- which it spins up on demand. This on-demand, horizontal
 scaling feature differentiates Octavia from other load balancing solutions,
 thereby making Octavia truly suited "for the cloud".
 .
 This package contains the documentation for Octavia.

Package: octavia-health-manager
Architecture: all
Depends:
 adduser,
 octavia-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Load Balancer Service - Health manager
 Openstack Load Balancer as a Service, codenamed Octavia was borne out of the
 Neutron LBaaS project. Its conception influenced the transformation of the
 Neutron LBaaS project, as Neutron LBaaS moved from version 1 to version 2.
 Starting with the Liberty release of OpenStack, Octavia has become the
 reference implementation for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by managing a
 fleet of virtual machines, containers, or bare metal servers -collectively
 known as amphorae- which it spins up on demand. This on-demand, horizontal
 scaling feature differentiates Octavia from other load balancing solutions,
 thereby making Octavia truly suited "for the cloud".
 .
 This package provides Octavia Health Manager.

Package: octavia-housekeeping
Architecture: all
Depends:
 octavia-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Load Balancer Service - Housekeeping manager
 Openstack Load Balancer as a Service, codenamed Octavia was borne out of the
 Neutron LBaaS project. Its conception influenced the transformation of the
 Neutron LBaaS project, as Neutron LBaaS moved from version 1 to version 2.
 Starting with the Liberty release of OpenStack, Octavia has become the
 reference implementation for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by managing a
 fleet of virtual machines, containers, or bare metal servers -collectively
 known as amphorae- which it spins up on demand. This on-demand, horizontal
 scaling feature differentiates Octavia from other load balancing solutions,
 thereby making Octavia truly suited "for the cloud".
 .
 This package provides Octavia Housekeeping Manager.

Package: octavia-worker
Architecture: all
Depends:
 octavia-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Load Balancer Service - Worker
 Openstack Load Balancer as a Service, codenamed Octavia was borne out of the
 Neutron LBaaS project. Its conception influenced the transformation of the
 Neutron LBaaS project, as Neutron LBaaS moved from version 1 to version 2.
 Starting with the Liberty release of OpenStack, Octavia has become the
 reference implementation for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by managing a
 fleet of virtual machines, containers, or bare metal servers -collectively
 known as amphorae- which it spins up on demand. This on-demand, horizontal
 scaling feature differentiates Octavia from other load balancing solutions,
 thereby making Octavia truly suited "for the cloud".
 .
 This package provides Octavia worker.

Package: python3-octavia
Section: python
Architecture: all
Depends:
 alembic,
 python3-barbicanclient,
 python3-castellan,
 python3-cinderclient,
 python3-cotyledon,
 python3-cryptography,
 python3-dateutil,
 python3-distro,
 python3-flask,
 python3-futurist,
 python3-glanceclient,
 python3-gunicorn,
 python3-jinja2,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-octavia-lib (>= 2.3.0),
 python3-openssl,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.reports,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-pecan,
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-pyroute2,
 python3-requests,
 python3-rfc3986,
 python3-oslo.serialization,
 python3-setproctitle,
 python3-simplejson,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stevedore,
 python3-taskflow,
 python3-tenacity,
 python3-webob,
 python3-wsme,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},

## octavia 10.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
alembic>=0.9.6 # MIT
cotyledon>=1.3.0 # Apache-2.0
pecan>=1.3.2 # BSD
pbr>=3.1.1 # Apache-2.0
SQLAlchemy>=1.2.19 # MIT
SQLAlchemy-Utils>=0.30.11
futurist>=1.2.0 # Apache-2.0
requests>=2.23.0 # Apache-2.0
rfc3986>=1.2.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
WebOb>=1.8.2 # MIT
stevedore>=1.20.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.db[mysql]>=8.4.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.messaging>=12.4.0 # Apache-2.0
oslo.middleware>=4.0.1 # Apache-2.0
oslo.policy>=3.7.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization>=2.28.1 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=4.7.0 # Apache-2.0
psutil>=5.7.1 # BSD
pyasn1!=0.2.3,>=0.1.8 # BSD
pyasn1-modules>=0.0.6 # BSD
python-barbicanclient>=4.5.2 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
pyOpenSSL>=19.1.0 # Apache-2.0
WSME>=0.8.0 # MIT
Jinja2>=2.10 # BSD License (3 clause)
taskflow>=4.4.0 # Apache-2.0
castellan>=0.16.0 # Apache-2.0
tenacity>=5.0.4  # Apache-2.0
distro>=1.2.0 # Apache-2.0
jsonschema>=3.2.0 # MIT
octavia-lib>=2.5.0 # Apache-2.0
netaddr>=0.7.19 # BSD
simplejson>=3.13.2 # MIT
setproctitle>=1.1.10 # BSD
python-dateutil>=2.7.0 # BSD

#for the amphora api
Flask!=0.11,>=0.10 # BSD
cryptography>=3.0 # BSD/Apache-2.0
pyroute2>=0.5.14;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
gunicorn>=19.9.0 # MIT
Werkzeug>=0.14.1 # BSD License

=== debian/changelog ===
octavia (1:10.0.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 08:00:47 -0400

octavia (1:9.0.1+git2022030314.328ffbab-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 14:15:48 -0500

octavia (1:9.0.1+git2022011217.27e5b27d-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 17:14:38 -0500

octavia (1:9.0.0+git2021120816.ab3c3ef7-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Dec 2021 16:05:10 -0500

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

export PYBUILD_NAME=octavia

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	find . -iname '*.pyc' -delete
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build
	rm -rf octavia.sqlite
	rm -rf .eggs
	rm -rf doc/source/contributor/devref/flow_diagrams
	rm -rf doc/source/contributor/modules
	rm -f doc/source/configuration/_static/octavia.policy.yaml.sample
	rm -f doc/source/contributor/devref/erd.svg

override_dh_auto_build:
	set -e ; for i in $(PYTHON3S) ; do \
		python3 setup.py build --force ; \
	done

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm octavia-common.postrm

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# NOTE(jamespage): https://bugs.launchpad.net/ubuntu/+source/octavia/+bug/1869171
	# pkgos-dh_auto_test --no-py2 --black-regex '^octavia.tests.unit.certificates.manager.test_barbican_legacy.TestBarbicanManager.*'
	# NOTE(coreycb): It appears that bug 1869171 may not be reproducing on groovy. Re-enabling all tests to see how it goes.
	pkgos-dh_auto_test --no-py2
endif

override_dh_auto_install:
	echo "Do nothing here..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --root=debian/tmp --install-layout=deb ; \
	done

	# Generate the octavia.conf config using installed python-octavia files.
	mkdir -p $(CURDIR)/debian/octavia-common/usr/share/octavia-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/octavia-common/usr/share/octavia-common/octavia.conf \
		--wrap-width 140 \
		--namespace octavia \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace keystonemiddleware.auth_token

	# Same with policy.conf
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/octavia-common/usr/share/octavia-common/policy.json \
		--format json \
		--namespace octavia

	# Restore sanity...
	pkgos-fix-config-default $(CURDIR)/debian/octavia-common/usr/share/octavia-common/octavia.conf keystone_notifications enable True

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	find debian/tmp/  -type d -name __pycache__ -exec rm -r {} \+

	dh_install

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/octavia-doc/usr/share/doc/octavia-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_missing:
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## octavia 10.1.1

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== diskimage-create/requirements.txt ===
diskimage-builder>=2.24.0
PyYAML
six>=1.9.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Docs
hacking>=3.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
sphinxcontrib-actdiag>=0.8.5 # BSD
sphinxcontrib-apidoc>=0.2.1 # BSD
sphinxcontrib-blockdiag>=1.5.4 # BSD
sphinxcontrib-nwdiag>=0.9.5 # BSD
sphinxcontrib-seqdiag>=0.8.4 # BSD
docutils>=0.11 # OSI-Approved Open Source, Public Domain
sphinx>=2.0.0,!=2.1.0 # BSD
graphviz!=0.5.0,>=0.4 # MIT License
openstackdocstheme>=2.2.1 # Apache-2.0
sadisplay>=0.4.8 # BSD
reno>=3.1.0 # Apache-2.0
sphinx-feature-classification>=0.2.0 # Apache-2.0

# PDF Docs
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

# This needs to be installed after above modules
pydot>=1.2.4 # MIT License
pydotplus>=2.0.2 # MIT License
pyparsing>=2.1.0 # MIT
networkx>=1.10 # BSD

=== debian/changelog ===
octavia (1:10.1.1-0ubuntu1.3) jammy; urgency=medium

  * Fix asymmetric routing issue in ACTIVE_STANDBY topology by adding default
    route to keepalived template. (LP: #2117280)
    - d/p/lp2117280-fix-active-standby-asymmetric-routing.patch

 -- Bryan Fraschetti <bryan.fraschetti@canonical.com>  Wed, 16 Jul 2025 14:40:57 -0400

octavia (1:10.1.1-0ubuntu1.2) jammy; urgency=medium

  * Fix loadbalancer stuck in PENDING_DELETE in cascade delete
    with TERMINATED_HTTPS listener if TLS storage not available.
    (LP: #2077348)
    - d/p/lp2077348-fix-loadbalancer-stuck-in-cascade-delete.patch

 -- Zhang Hua <joshua.zhang@canonical.com>  Tue, 18 Mar 2025 14:52:52 +1300

octavia (1:10.1.1-0ubuntu1.1) jammy; urgency=medium

  [ Zhang Hua ]
  * d/p/add-check-for-duplicate-members-in-batch-update.patch (LP: #2067441)

 -- James Page <james.page@canonical.com>  Tue, 20 Aug 2024 11:00:03 +0100

octavia (1:10.1.1-0ubuntu1) jammy; urgency=medium

  * New stable point release for OpenStack Yoga (LP: #2058286).

 -- James Page <james.page@ubuntu.com>  Mon, 25 Mar 2024 14:09:17 +0000

octavia (1:10.1.0-0ubuntu1) jammy; urgency=medium

  * d/gbp.conf: Create stable/yoga branch.
  * New stable point release for OpenStack Yoga (LP: #2030526).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 07 Aug 2023 12:30:20 -0400

=== debian/tests/control ===
Tests: octavia-daemons
Depends:
 octavia-api,
 octavia-driver-agent,
 octavia-health-manager,
 octavia-housekeeping,
 octavia-worker,
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/octavia/ octavia-(\d.*)\.tar\.gz

## octavia 11.0.0

=== debian/changelog ===
octavia (11.0.0-2) unstable; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 15:13:53 +0200

octavia (11.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 10:31:18 +0200

octavia (11.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Sep 2022 04:17:44 +0200

octavia (11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Fix-osutils.py-to-detect-Debian.patch applied upstream.
  * Rebased use-octavia-agent-lvs-masquerade-not-lvs-masquerade.sh.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Sep 2022 15:03:12 +0200

octavia (10.0.0-2) unstable; urgency=medium

  * Autopkgtest: only install python3-octavia, avoiding installing the agent,
    which fails in the Debian CI (due to RAMFS setup).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2022 10:32:03 +0200

octavia (10.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 21:59:39 +0200

octavia (10.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 14:50:58 +0100

octavia (10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Mar 2022 14:55:38 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 123~),
  po-debconf,
  python3-all,
  python3-pbr,
@@ -37,11 +37,10 @@
  python3-jsonschema,
  python3-keystoneauth1,
  python3-keystonemiddleware,
- python3-netaddr,
  python3-networkx,
  python3-neutronclient,
  python3-novaclient,
- python3-octavia-lib (>= 2.3.0),
+ python3-octavia-lib (>= 3.1.0),
  python3-openssl,
  python3-openstackdocstheme,
  python3-os-api-ref,
@@ -59,6 +58,7 @@
  python3-oslo.utils (>= 4.7.0),
  python3-oslotest,
  python3-pecan,
+ python3-psutil,
  python3-pyasn1,
  python3-pyasn1-modules,
  python3-pydot,
@@ -124,7 +124,6 @@
 Architecture: all
 Depends:
  acl,
- acpid,
  adduser,
  anacron,
  apparmor,
@@ -136,7 +135,6 @@
  dbus,
  debconf,
  dirmngr,
- dkms,
  dmeventd,
  ethtool,
  gawk,
@@ -150,7 +148,6 @@
  iputils-ping,
  iputils-tracepath,
  ipvsadm,
- irqbalance,
  keepalived,
  net-tools,
  netbase,
@@ -342,10 +339,9 @@
  python3-jsonschema,
  python3-keystoneauth1,
  python3-keystonemiddleware,
- python3-netaddr,
  python3-neutronclient,
  python3-novaclient,
- python3-octavia-lib (>= 2.3.0),
+ python3-octavia-lib (>= 3.1.0),
  python3-openssl,
  python3-oslo.config,
  python3-oslo.context,
@@ -359,6 +355,7 @@
  python3-oslo.upgradecheck (>= 1.3.0),
  python3-oslo.utils (>= 4.7.0),
  python3-pecan,
+ python3-psutil,
  python3-pyasn1,
  python3-pyasn1-modules,
  python3-pyroute2,

## octavia 11.0.1

=== debian/changelog ===
octavia (1:11.0.1-0ubuntu1~cloud0) jammy-zed; urgency=medium

  * d/gbp.conf: Create stable/zed branch.
  * New stable point release for OpenStack Zed (LP: #2030519).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 07 Aug 2023 11:06:55 -0400

octavia (1:11.0.0-0ubuntu1~cloud0) jammy-zed; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 06 Oct 2022 22:27:56 +0000

octavia (1:11.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 15:36:04 -0400

octavia (1:10.0.0+git2022091213.61bfe917-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 13:47:29 -0400

octavia (1:10.0.0+git2022071414.65b1c341-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 14:43:02 -0400

octavia (1:10.0.0+git2022060214.6253560d-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 14:35:02 -0400

=== debian/control ===
Source: octavia
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinx-feature-classification (>= 0.2.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
Build-Depends-Indep:
 python3-alembic (>= 0.9.6),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-barbicanclient (>= 4.5.2),
 python3-castellan (>= 0.16.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-cotyledon (>= 1.3.0),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 3.0),
 python3-dateutil (>= 2.7.0),
 python3-debtcollector (>= 1.19.0),
 python3-distro (>= 1.2.0),
 python3-doc8 (>= 0.6.0),
 python3-docutils (>= 0.11),
 python3-fixtures (>= 3.0.0),
 python3-flask (>= 0.10),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-graphviz (>= 0.4),
 python3-gunicorn (>= 19.9.0),
 python3-hacking,
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-netifaces (>= 0.10.4),
 python3-networkx (>= 1.10),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-octavia-lib (>= 3.1.0),
 python3-openssl (>= 19.1.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 8.4.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 12.4.0),
 python3-oslo.middleware (>= 4.0.1),
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.28.1),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pecan (>= 1.3.2),
 python3-psutil (>= 5.7.1),
 python3-pyasn1 (>= 0.1.8),
 python3-pyasn1-modules (>= 0.0.6),
 python3-pydot (>= 1.2.4),
 python3-pydotplus (>= 2.0.2),
 python3-pymysql (>= 0.8.0),
 python3-pyparsing (>= 2.1.0),
 python3-pyroute2 (>= 0.5.14),
 python3-requests (>= 2.23.0),
 python3-requests-mock (>= 1.2.0),
 python3-rfc3986 (>= 1.2.0),
 python3-sadisplay (>= 0.4.8),
 python3-setproctitle (>= 1.1.10),
 python3-simplejson (>= 3.13.2),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.actdiag (>= 0.8.5),
 python3-sphinxcontrib.apidoc (>= 0.2.1),
 python3-sphinxcontrib.blockdiag (>= 1.5.4),
 python3-sphinxcontrib.nwdiag (>= 0.9.5),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
 python3-sqlalchemy (>= 1.2.19),
 python3-sqlalchemy-utils (>= 0.30.11),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-taskflow (>= 4.4.0),
 python3-tempest (>= 1:23.0.0),
 python3-tenacity (>= 5.0.4),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.8.2),
 python3-werkzeug (>= 0.14.1),
 python3-wsme (>= 0.8.0),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/octavia
Homepage: https://opendev.org/openstack/octavia
Testsuite: autopkgtest-pkg-python

Package: amphora-agent
Architecture: all
Depends:
 octavia-common (= ${binary:Version}),
 python3-gunicorn (>= 19.9.0),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: OpenStack Load Balancer Service - Amphora agent
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package provides Octavia Amphora Agent.

Package: octavia-api
Architecture: all
Section: python
Depends:
 adduser,
 octavia-common (= ${binary:Version}),
 python3-openstackclient,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: OpenStack Load Balancer as a Service - API frontend
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package provides the API frontend.

Package: octavia-common
Architecture: all
Depends:
 adduser,
 python3-octavia (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: OpenStack Load Balancer as a Service - Common files
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package contains elements that are needed by all parts of Octavia.

Package: octavia-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: OpenStack Load Balancer Service - documentation
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package contains the documentation for Octavia.

Package: octavia-driver-agent
Architecture: all
Depends:
 octavia-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: OpenStack Load Balancer Service - Driver Agent
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package provides Octavia Driver Agent.

Package: octavia-health-manager
Architecture: all
Depends:
 octavia-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: OpenStack Load Balancer Service - Health manager
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package provides Octavia Health Manager.

Package: octavia-housekeeping
Architecture: all
Depends:
 octavia-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: OpenStack Load Balancer Service - Housekeeping manager
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package provides Octavia Housekeeping Manager.

Package: octavia-worker
Architecture: all
Depends:
 octavia-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: OpenStack Load Balancer Service - Worker
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package provides Octavia worker.

Package: python3-octavia
Section: python
Architecture: all
Depends:
 python3-alembic (>= 0.9.6),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-castellan (>= 0.16.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-cotyledon (>= 1.3.0),
 python3-cryptography (>= 3.0),
 python3-dateutil (>= 2.7.0),
 python3-debtcollector (>= 1.19.0),

## octavia 11.0.3

=== requirements.txt ===
--- 
+++ 
@@ -46,8 +46,7 @@
 tenacity>=5.0.4  # Apache-2.0
 distro>=1.2.0 # Apache-2.0
 jsonschema>=3.2.0 # MIT
-octavia-lib>=2.5.0 # Apache-2.0
-netaddr>=0.7.19 # BSD
+octavia-lib>=3.1.0 # Apache-2.0
 simplejson>=3.13.2 # MIT
 setproctitle>=1.1.10 # BSD
 python-dateutil>=2.7.0 # BSD

=== debian/changelog ===
octavia (11.0.3-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-zed.infomaniak.ch>  Fri, 26 Sep 2025 12:56:11 +0000

octavia (11.0.2-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Rebased use-octavia-agent-lvs-masquerade-not-lvs-masquerade.sh.patch.
  * Removed quotes in octavia-agent-sysctl.conf that are causing the namespace
    to not be created in the amphora.
  * octavia-agent-netns-start: wait until /var/lib/octavia/plugged_interfaces
    appears.
  * Add Fix_loadbalancer_stuck_in_cascade_delete.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Aug 2024 15:12:55 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

OCTAVIA_CONF=$(CURDIR)/debian/octavia-common/usr/share/octavia-common/octavia.conf

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	python3 setup.py clean

override_dh_clean:
	dh_clean
	find . -iname '*.pyc' -delete
	rm -f AUTHORS
	rm -f ChangeLog
	rm -f debian/octavia-agent.octavia-agent.init debian/octavia-api.init debian/octavia-health-manager.init debian/octavia-housekeeping.init debian/octavia-worker.init debian/octavia-driver-agent.init
	rm -f debian/octavia-agent.octavia-agent.service debian/octavia-api.service debian/octavia-health-manager.service debian/octavia-housekeeping.service debian/octavia-worker.service
	rm -rf build
	rm -rf octavia.sqlite
	rm -rf octavia.egg-info
	rm -rf .eggs
	rm -rf doc/source/contributor/devref/flow_diagrams
	rm -rf doc/source/contributor/modules
	rm -f doc/source/configuration/_static/octavia.policy.yaml.sample
	rm -f doc/source/contributor/devref/erd.svg
	rm -f debian/octavia-api.postinst debian/octavia-api.config debian/octavia-common.postinst debian/octavia-common.config

override_dh_auto_build:
	set -e ; for i in $(PYTHON3S) ; do \
		python3 setup.py build --force ; \
	done

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-health-manager.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-health-manager.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm octavia-common.postrm
	pkgos-merge-templates octavia-api octavia endpoint
	pkgos-merge-templates octavia-common octavia db rabbit ksat

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'octavia\.tests\.unit.*'
endif

override_dh_auto_install:
	echo "Do nothing here..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --root=debian/tmp --install-layout=deb ; \
	done

	mkdir -p $(CURDIR)/debian/octavia-agent/usr/bin
	cp elements/amphora-agent/static/usr/local/bin/lvs-masquerade.sh $(CURDIR)/debian/octavia-agent/usr/bin/octavia-agent-lvs-masquerade

	# Generate the octavia.conf config using installed python-octavia files.
	mkdir -p $(CURDIR)/debian/octavia-common/usr/share/octavia-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/octavia-common/usr/share/octavia-common/octavia.conf \
		--wrap-width 140 \
		--namespace octavia \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace keystonemiddleware.auth_token \
		--namespace cotyledon

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/octavia-common/usr/share/octavia-common/octavia.conf oslo_policy policy_dirs /etc/octavia/policy.d

	# Readd missing options in keystone_authtoken
	pkgos-readd-keystone-authtoken-missing-options $(OCTAVIA_CONF) keystone_authtoken octavia

	# Fix default values
	pkgos-fix-config-default $(OCTAVIA_CONF) oslo_messaging topic octavia_prov
	pkgos-fix-config-default $(OCTAVIA_CONF) service_auth project_domain_name Default
	pkgos-fix-config-default $(OCTAVIA_CONF) service_auth user_domain_name Default
	pkgos-fix-config-default $(OCTAVIA_CONF) service_auth auth_type password
	pkgos-fix-config-default $(OCTAVIA_CONF) controller_worker amphora_driver amphora_haproxy_rest_driver
	pkgos-fix-config-default $(OCTAVIA_CONF) controller_worker compute_driver compute_nova_driver
	pkgos-fix-config-default $(OCTAVIA_CONF) controller_worker network_driver allowed_address_pairs_driver

	# Same with policy.conf
	mkdir -p $(CURDIR)/debian/octavia-common/etc/octavia/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/octavia-common/etc/octavia/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace octavia

	# Comment out deprecated policies
	sed -i 's/^"/#"/' $(CURDIR)/debian/octavia-common/etc/octavia/policy.d/00_default_policy.yaml

	# Restore sanity...
	pkgos-fix-config-default $(CURDIR)/debian/octavia-common/usr/share/octavia-common/octavia.conf keystone_notifications enable True

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	find debian/tmp/  -type d -name __pycache__ -exec rm -r {} \+

	dh_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/octavia-doc/usr/share/doc/octavia-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_missing:
	dh_missing --fail-missing

override_dh_fixperms:
	dh_fixperms
	chmod +x $(CURDIR)/debian/octavia-agent/var/lib/octavia/ping-wrapper.sh

# We use override_dh_installmenu because it's done in the sequence with dh,
# and we already override dh_installinit in pkgos.make.
# Obviously, we will never use a Desktop menu in such a package, so that's
# not a problem.
override_dh_installmenu:
	dh_installinit -poctavia-agent --name=octavia-agent
	dh_installinit -poctavia-agent --name=octavia-agent-certs-ramfs
	dh_installinit -poctavia-agent --name=octavia-agent-netns

override_dh_installsystemd:
	dh_installsystemd -poctavia-api
	dh_installsystemd -poctavia-health-manager
	dh_installsystemd -poctavia-housekeeping
	dh_installsystemd -poctavia-worker
	dh_installsystemd -poctavia-agent --name=octavia-agent-netns
	dh_installsystemd -poctavia-agent --name=octavia-agent-certs-ramfs
	dh_installsystemd -poctavia-agent --name=octavia-agent
	dh_installsystemd -poctavia-driver-agent --name=octavia-driver-agent
